Class Llm


  • public final class Llm
    extends Object
    Convenience re-exports of LLM model-class static factories so that users can write a single import:
     import static org.mockserver.client.Llm.*;
     
    and get all LLM-related factories in one import.
    • Method Detail

      • completion

        public static Completion completion()
        Creates a new Completion builder.
      • toolUse

        public static ToolUse toolUse​(String name)
        Creates a new ToolUse builder.
      • inputTokens

        public static Usage inputTokens​(int inputTokens)
        Creates a Usage with the given input tokens.
      • outputTokens

        public static Usage outputTokens​(int outputTokens)
        Creates a Usage with the given output tokens.
      • streamingPhysics

        public static StreamingPhysics streamingPhysics()
        Creates a new StreamingPhysics builder.
      • timeToFirstToken

        public static Delay timeToFirstToken​(long value,
                                             TimeUnit timeUnit)
        Creates a Delay representing the time to first token.
      • tokensPerSecond

        public static StreamingPhysics tokensPerSecond​(int tokensPerSecond)
        Creates a StreamingPhysics with the given tokens per second.
      • jitter

        public static StreamingPhysics jitter​(double jitter)
        Creates a StreamingPhysics with the given jitter.
      • embedding

        public static EmbeddingResponse embedding()
        Creates a new EmbeddingResponse builder.
      • header

        public static IsolationSource header​(String name)
        Creates an IsolationSource that reads the isolation key from an HTTP header.
      • queryParameter

        public static IsolationSource queryParameter​(String name)
        Creates an IsolationSource that reads the isolation key from a query parameter.
      • cookie

        public static IsolationSource cookie​(String name)
        Creates an IsolationSource that reads the isolation key from a cookie.